Bug 434690 - invalid-license LGPLv2+ with exceptions
invalid-license LGPLv2+ with exceptions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-24 09:08 EST by Richard W.M. Jones
Modified: 2008-03-03 16:50 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.82-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 16:50:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-24 09:08:55 EST
rpmlint issues the following warning:

  W: invalid-license LGPLv2+ with exceptions

whereas 'LGPLv2 with exceptions' (without the '+') is a valid license.

I think this is a valid license and there should not be a warning.

Example program which has this license is OCaml-Postgresql:

  http://www.ocaml.info/home/ocaml_sources.html#toc13
Comment 1 Ville Skyttä 2008-03-01 05:39:01 EST
I tend to agree, but rpmlint simply includes the list of short license
identifiers from http://fedoraproject.org/wiki/Licensing, "LGPLv2+ with
exceptions" is not listed there.  Other similar missing ones include "LGPLv3
with exceptions" and "LGPLv3+ with exceptions".

spot, should those be added to the Wiki page?
Comment 2 Tom "spot" Callaway 2008-03-01 11:44:28 EST
Yes, they should (although, I'm not really aware of any LGPLv3* with exceptions
in the wild, they will probably exist sooner or later).
Comment 3 Tom "spot" Callaway 2008-03-01 11:53:28 EST
The Licensing list now has entries for LGPLv[23]* with exceptions.
Comment 4 Ville Skyttä 2008-03-03 16:50:51 EST
Ok, rpmlint's config synced in 0.82-3.

Note You need to log in before you can comment on or make changes to this bug.